Get All Charges
curl --request GET \
--url https://api.hit-pay.com/v1/charges \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>'import requests
url = "https://api.hit-pay.com/v1/charges"
headers = {"X-BUSINESS-API-KEY": "<x-business-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BUSINESS-API-KEY': '<x-business-api-key>'}};
fetch('https://api.hit-pay.com/v1/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9ced76ac-1638-44df-b702-3f43f6592e2a",
"currency": "sgd",
"home_currency": "sgd",
"exchange_rate": "1.00000",
"amount": 70.56,
"fixed_fee": 0.6,
"discount_fee": 2.57,
"discount_fee_rate": 3.65,
"remark": "Order #9ced76aa-580f-4664-866d-a0d6df1cfc57",
"status": "succeeded",
"payment_method": {
"name": "card",
"display_logo": {
"sm": "https://api.hitpayapp.test/icons/methods/sm/visa.png",
"md": "https://api.hitpayapp.test/icons/methods/md/visa.png",
"lg": "https://api.hitpayapp.test/icons/methods/lg/visa.png",
"svg": "https://api.hitpayapp.test/icons/methods/svg/visa.svg",
"svg_square": "https://api.hitpayapp.test/icons/methods/svg_square/visa.svg",
"png_square": "https://api.hitpayapp.test/icons/methods/png_square/visa.png"
},
"method_logo": {
"sm": "https://api.hitpayapp.test/icons/methods/sm/card.png",
"md": "https://api.hitpayapp.test/icons/methods/md/card.png",
"lg": "https://api.hitpayapp.test/icons/methods/lg/card.png",
"svg": "https://api.hitpayapp.test/icons/methods/svg/card.svg",
"svg_square": "https://api.hitpayapp.test/icons/methods/svg_square/card.svg",
"png_square": "https://api.hitpayapp.test/icons/methods/png_square/card.png"
},
"data": {
"brand": "Visa",
"last4": "4242",
"country_code": "US",
"country": "United States of America"
}
},
"customer_id": "9ce1111d-e6c9-4511-95f9-6277d06299c1",
"customer": {
"name": "Ari",
"email": "hiaribahtiar@gmail.com",
"phone_number": "6285787995896"
},
"payment_request_id": "9ced76aa-ea65-46a1-a13a-16e9ae39620f",
"webhook_status": false,
"order_reference_number": "1007",
"executor": null,
"location": {
"id": "96e21521-3c8a-4c21-b76d-558d2cb8b846",
"name": "location 1",
"address": "jl ampera, west java, sg, 14023"
},
"channel": "api_store",
"admin_fee": false,
"closed_at": "2024-09-04T16:05:37+08:00",
"created_at": "2024-09-04T16:05:21+08:00",
"updated_at": "2024-09-04T16:35:40+08:00"
}
],
"links": {
"first": null,
"last": null,
"prev": null,
"next": "https://api.sandbox.hit-pay.com/v1/charges?apiKey%5Bincrementing%5D=1&apiKey%5BpreventsLazyLoading%5D=0&apiKey%5Bexists%5D=1&apiKey%5BwasRecentlyCreated%5D=0&apiKey%5Btimestamps%5D=1&apiKey%5BusesUniqueIds%5D=0&statuses%5B0%5D=succeeded&statuses%5B1%5D=succeeded_manually&statuses%5B2%5D=refunded&statuses%5B3%5D=void&cursor=eyJidXNpbmVzc19jaGFyZ2VzLmlkIjoiOWQyZjJiYTYtZWQ2Yi00NGVjLWFmMGQtODg2NDk3YTEyMDJlIiwiX3BvaW50c1RvTmV4dEl0ZW1zIjp0cnVlfQ"
},
"meta": {
"path": "https://api.sandbox.hit-pay.com/v1/charges",
"per_page": 25,
"next_cursor": "eyJidXNpbmVzc19jaGFyZ2VzLmlkIjoiOWQyZjJiYTYtZWQ2Yi00NGVjLWFmMGQtODg2NDk3YTEyMDJlIiwiX3BvaW50c1RvTmV4dEl0ZW1zIjp0cnVlfQ",
"prev_cursor": null
}
}Charges
List Charges
List all charges with pagination and date filtering
GET
/
v1
/
charges
Get All Charges
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Query Parameters
The cursor parameter accepts a next_cursor value obtained from the previous response's meta object (meta.next_cursor). Use this parameter to fetch the next page of results when implementing pagination.
Search for fields: amount ,charge_id ,customer_email, remark
It's charge status
Available options:
succeeded, failed, refunded The location ids
The user's id, support both uuid and number id
It's charge status.
Available options:
success, succeeded_manually, pending, failed, refunded, cancelled, partially_refunded, void The from of created order
Example:
"2024-10-05"
The to of created order
Example:
"2024-10-05"
The from of amount
Example:
100
The to of amount
Example:
200
The payment request id
The customer id
The payout id
Last modified on February 25, 2026
Was this page helpful?
⌘I